Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Slot5< R, P1, P2, P3, P4, P5 > Class Template Reference

Base class template for slots passing five arguments of type P1, P2, P3, P4 and P5, and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::Slot5< R, P1, P2, P3, P4, P5 >:

List of all members.

## Public Member Functions

- virtual R call (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5) const=0
    Calls the signal handler connected to this slot.
- R operator() (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5) const
    Function operator; Calls call().

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
class Inti::Slot5< R, P1, P2, P3, P4, P5 >

Base class template for slots passing five arguments of type P1, P2, P3, P4 and P5, and returning a value of type R.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer